Module org.jfree.chart3d
Package org.jfree.chart3d

# Class TitleUtils

java.lang.Object
org.jfree.chart3d.TitleUtils

public class TitleUtils extends Object
Some utility methods for creating chart titles.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Font`
`DEFAULT_SUBTITLE_FONT`
The default sub-title font.
`static final Color`
`DEFAULT_TITLE_COLOR`
The default foreground color for titles.
`static final Font`
`DEFAULT_TITLE_FONT`
The default title font.

## Method Summary

Modifier and Type
Method
Description
`static TableElement`
`createTitle(String title)`
Creates a chart title using the default font and alignment.
`static TableElement`
`createTitle(String title, Font titleFont, String subtitle, Font subtitleFont, HAlign alignment)`
Creates a chart title and subtitle using the specified fonts and alignment.
`static TableElement`
`createTitle(String title, String subtitle)`
Creates a chart title and subtitle using default fonts and left alignment.
`static TableElement`
`createTitle(String title, String subtitle, Anchor2D anchor)`
Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_TITLE_FONT

public static final Font DEFAULT_TITLE_FONT
The default title font.

### DEFAULT_TITLE_COLOR

public static final Color DEFAULT_TITLE_COLOR
The default foreground color for titles.

### DEFAULT_SUBTITLE_FONT

public static final Font DEFAULT_SUBTITLE_FONT
The default sub-title font.

## Method Details

### createTitle

public static TableElement createTitle(String title)
Creates a chart title using the default font and alignment.

Parameters:
  `title` - the chart title (`null` not permitted).
Returns:
  The chart title.

### createTitle

public static TableElement createTitle(String title, String subtitle)
Creates a chart title and subtitle using default fonts and left alignment. The `subtitle` is optional.

Parameters:
  `title` - the title text (`null` not permitted).
  `subtitle` - the subtitle text (`null` permitted).
Returns:
  A composite title.

### createTitle

public static TableElement createTitle(String title, String subtitle, Anchor2D anchor)
Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).

Parameters:
  `title` - the title text (`null` not permitted).
  `subtitle` - the subtitle text (`null` permitted).
  `anchor` - the anchor point (`null` not permitted).
Returns:
  A composite title.

### createTitle

public static TableElement createTitle(String title, Font titleFont, String subtitle, Font subtitleFont, HAlign alignment)
Creates a chart title and subtitle using the specified fonts and alignment.

Parameters:
  `title` - the title text (`null` not permitted).
  `titleFont` - the title font (`null` not permitted).
  `subtitle` - the subtitle text (`null` permitted).
  `subtitleFont` - the subtitle font (`null` permitted).
  `alignment` - the horizontal alignment (`null` not permitted).
Returns:
  A chart title (never `null`).